#!/bin/sh

HOST=${PLUGIN_CLUSTER_HOST:-"/dns4/cluster.walkah.cloud"}

# pin to cluster
root_cid=$(ipfs-cluster-ctl \
    --host "$HOST" \
    --basic-auth "${PLUGIN_CLUSTER_USER}:${PLUGIN_CLUSTER_PASSWORD}" \
    add \
    --quieter \
    --cid-version 1 \
    --name "${PLUGIN_PIN_NAME}" \
    --recursive \
    $PLUGIN_EXTRA_ARGS \
    "$PLUGIN_PATH" )

echo "$root_cid"